# Asterisk Project : Asterisk 13 Application_SpeechCreate

Created by wikibot on Aug 08, 2014

# SpeechCreate()

### Synopsis

Create a Speech Structure.

### Description

This application creates information to be used by all the other applications. It must be called before doing any speech recognition activities such as activating a grammar. It takes the engine name to use as the argument, if not specified the default engine will be used.

Sets the ERROR channel variable to 1 if the engine cannot be used.

### Syntax

    SpeechCreate(engine_name)

##### Arguments

- `engine_name`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538